Workspace
List workspace members
List all members of the workspace. Requires members:read scope. Only available with workspace-level API keys; application-level keys should use /applications/{application_id}/members.
GET
/workspace/membersAuthorization
bearerAuth AuthorizationBearer <token>
API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.
In: header
Query Parameters
sort_by?string
Field to sort by.
Default
"name"Value in
- "name"
- "email"
- "role"
- "added_at"
sort?string
Sort direction.
Default
"asc"Value in
- "asc"
- "desc"
search?string
Search query (max 50 characters). Searches member name and email.
Length
length <= 50per_page?integer
Items per page.
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
application/json
curl -X GET -G "https://example.comworkspace/members" \ --data-urlencode "search=jane@example.com" \ -H "Authorization: Bearer YOUR_API_KEY"{ "message": "Workspace members retrieved successfully.", "data": [ { "id": "uSr1234", "name": "Jane Smith", "email": "jane@example.com", "profile_photo_url": "https://uploads.buildstash.com/B7kLmNpQrStUvWx.png", "role": "admin", "added_at": "2025-06-10T09:15:00.000000Z" } ], "pagination": { "current_page": 1, "per_page": 20, "total": 42, "last_page": 5, "from": 1, "to": 10 }}{ "message": "Unauthorized"}{ "message": "This action requires 'resource:action' scope."}